> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename a Chat

> Set a conversation's title.



## OpenAPI

````yaml /api-reference/openapi.json put /v1/bot/chat/rename
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: Email
    description: Operations for managing agent email functionality
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/chat/rename:
    put:
      tags:
        - Chat
      summary: Rename a Chat
      description: Set a conversation's title.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RenameChatRequest'
      responses:
        '200':
          description: Renamed
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    RenameChatRequest:
      type: object
      required:
        - project_id
        - bot_id
        - chat_id
        - title
      properties:
        project_id:
          type: string
          description: Project ID
        bot_id:
          type: string
          description: Agent ID
        chat_id:
          type: string
          description: Conversation to rename
        title:
          type: string
          minLength: 1
          maxLength: 200
          description: New title, 1-200 characters
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````